Package com.complexible.stardog.serf.db

# Class SerfOptions

java.lang.Object
com.complexible.stardog.serf.db.SerfOptions

All Implemented Interfaces:
  `MetaPropertyProvider`

public class SerfOptions extends Object implements MetaPropertyProvider
Serf options

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Option<Duration>`
  `AUTH_CACHE_EXPIRATION`
  Expiration time for cached SHA-256 password hashes used by caching_sha2_password authentication.
  `static final ConfigProperty<Boolean>`
  `AUTO_SCHEMA`
  Enables automatic SQL schema generation when one does not exist in the database.
  `static final ConfigProperty<com.stardog.model.DataModelFormat>`
  `AUTO_SCHEMA_FORMAT`
  Specifies the input source to use for generating the SQL schema automatically when one does not exist in the database.
  `static final Option<String>`
  `COMMAND_BUFFER_SIZE`
  Option for fixed size buffer we use to read commands from the client.
  `static final Option<Boolean>`
  `COMMIT_INVALIDS_SCHEMA`
  Should schema mappings being invalidated on TX commit? If set to false, the DB needs to be taken offline to invalidate schema
  `static final ConfigProperty<Collection<IRI>>`
  `DATA_GRAPHS`
  `static final Option<String>`
  `DEFAULT_AUTH_PLUGIN`
  Default authentication plugin to use for MySQL protocol connections.
  `static final Option<Boolean>`
  `ENABLED`
  Whether or not the SQL server is enabled
  `static final Option<String>`
  `MAX_ALLOWED_PACKET`
  Option for maximum packet size allowed by the client.
  `static final int`
  `MAX_ALLOWED_PACKET_LIMIT`
  This is the maximum value `MAX_ALLOWED_PACKET` can be set to by the user.
  `static final Option<Integer>`
  `PORT`
  Port the Serf server should listen on
  `static final ConfigProperty<IRI>`
  `SCHEMA_GRAPH`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SerfOptions()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ENABLED

    public static final Option<Boolean> ENABLED
    Whether or not the SQL server is enabled

  - ### PORT

    public static final Option<Integer> PORT
    Port the Serf server should listen on

  - ### DEFAULT_AUTH_PLUGIN

    public static final Option<String> DEFAULT_AUTH_PLUGIN
    Default authentication plugin to use for MySQL protocol connections. Valid values: - "caching_sha2_password" (default): More secure SHA256-based authentication. Requires SSL/TLS or RSA public key encryption for FULL_AUTH. - "mysql_native_password": Legacy SHA1-based authentication. Works without SSL but less secure. Use for compatibility with older clients.

  - ### AUTH_CACHE_EXPIRATION

    public static final Option<Duration> AUTH_CACHE_EXPIRATION
    Expiration time for cached SHA-256 password hashes used by caching_sha2_password authentication. When a user successfully authenticates using caching_sha2_password, their SHA-256(password) hash is cached on the server to enable fast authentication (FAST_AUTH) for subsequent connections, avoiding the need for SSL or RSA encryption on every connection. This option controls how long these cached entries remain valid. After expiration, the next authentication will require full authentication (FULL_AUTH) and repopulate the cache. The value should be a positive integer followed by a time unit: - 'h' for hours (e.g., "1h" for 1 hour) - 'm' for minutes (e.g., "30m" for 30 minutes) - 's' for seconds (e.g., "90s" for 90 seconds) - 'ms' for milliseconds (e.g., "500ms" for 500 milliseconds) Default value: 1h (1 hour) Note: Cache entries are also invalidated immediately when a user's password changes.

  - ### COMMIT_INVALIDS_SCHEMA

    public static final Option<Boolean> COMMIT_INVALIDS_SCHEMA
    Should schema mappings being invalidated on TX commit? If set to false, the DB needs to be taken offline to invalidate schema

  - ### COMMAND_BUFFER_SIZE

    public static final Option<String> COMMAND_BUFFER_SIZE
    Option for fixed size buffer we use to read commands from the client. May need to be extended if the client is sending very large SQL queries.

  - ### MAX_ALLOWED_PACKET

    public static final Option<String> MAX_ALLOWED_PACKET
    Option for maximum packet size allowed by the client. Since we don't support insert queries this limit is set to a default value of 64KB but can be increased if necessary.

  - ### MAX_ALLOWED_PACKET_LIMIT

    public static final int MAX_ALLOWED_PACKET_LIMIT
    This is the maximum value `MAX_ALLOWED_PACKET` can be set to by the user.

  - ### AUTO_SCHEMA

    public static final ConfigProperty<Boolean> AUTO_SCHEMA
    Enables automatic SQL schema generation when one does not exist in the database.

  - ### AUTO_SCHEMA_FORMAT

    public static final ConfigProperty<com.stardog.model.DataModelFormat> AUTO_SCHEMA_FORMAT
    Specifies the input source to use for generating the SQL schema automatically when one does not exist in the database.

  - ### DATA_GRAPHS

    public static final ConfigProperty<Collection<IRI>> DATA_GRAPHS

  - ### SCHEMA_GRAPH

    @Deprecated public static final ConfigProperty<IRI> SCHEMA_GRAPH
    Deprecated.

- ## Constructor Details

  - ### SerfOptions

    public SerfOptions()